Get gift by UUID
GET
/v2/gifts/{giftId}
const url = 'https://api-crm-staging.divinea.com/api/v2/gifts/example';const options = {method: 'GET', headers: {APIKey: '<APIKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api-crm-staging.divinea.com/api/v2/gifts/example \ --header 'APIKey: <APIKey>'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”giftId
required
string format: uuid
GiftId
Responses
Sezione intitolata “Responses”OK
Media type*/*
GiftDTO
object
aasmState
string
adults
integer format: int32
amountCents
integer format: int32
amountCurrency
string
beneficiaryEmail
string
beneficiaryFirstname
string
beneficiaryLastname
string
beneficiaryNotified
boolean
beneficiaryNotifyAt
string format: date
children
integer format: int32
contactId
integer format: int64
createdAt
string format: date-time
defaultMinParties
integer format: int32
email
string
experiencePriceLabels
Array<object>
Map«string,object»object
key
additional properties
object
expiresAt
string format: date
extraData
object
firstname
string
giftId
string format: uuid
id
integer format: int64
lastname
string
message
string
phone
string
redemptionDate
string format: date-time
reservationId
string format: uuid
updatedAt
string format: date-time
wineryId
string format: uuid